EndpointsEpisodes
Get episode
GET
/v2/episodes/{episode_id}Returns one recorded episode visible to the caller.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
episode_id*Episode Id
Episode to return.
Format
uuidcurl -X GET "https://example.com/v2/episodes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "replay_url": "string", "thumbnail_url": "string", "attributes": {}, "created_at": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f", "coworld_id": "string", "coworld_name": "string", "coworld_version": "string", "round": { "id": "string", "round_number": 0, "commissioner_key": "string", "execution_backend": "dispatch", "round_config": {}, "round_display": {}, "status": "pending", "scheduled_by": "ladder", "error": "string", "skip_kind": "budget_refused", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "division": { "id": "string", "name": "string", "level": 0, "type": "string", "description": "string", "hidden": true, "archived_at": "2019-08-24T14:15:22Z", "round_schedule": {}, "notes": "string", "league": { "name": "string", "short_name": "string", "description": "string", "commissioner_key": "string", "commissioner_config": {}, "commissioner_migration_version": "string", "rounds_paused_at": "2019-08-24T14:15:22Z", "submissions_locked_at": "2019-08-24T14:15:22Z", "settings": {}, "filler_policy_version_ids": [ "19818f13-26cb-4fdd-9b0c-2e0096e5f70d" ], "seed_policy_version_ids": [ "9b626be7-cdd2-4e22-8014-dab46ae046a1" ], "seed_policy_number": 0, "rules": {}, "public": false, "hidden": false, "is_game_of_week": false, "disabled_at": "2019-08-24T14:15:22Z", "notes": "string", "id": "string", "game": { "name": "string", "coworld_name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "default_league_id": "string", "coworld_id": "string", "canonical_coworld_id": "string", "coworld_tags": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }, "mod": { "name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "game": { "name": "string", "coworld_name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "default_league_id": "string", "coworld_id": "string", "canonical_coworld_id": "string", "coworld_tags": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z", "participation_url": "string", "forum_markdown_url": "string", "wiki_markdown_url": "string", "logs_reporter_id": "string", "logs_source": "league", "handicaps": { "property1": 0, "property2": 0 }, "handicap_dynamic": { "max_handicap": 0.5, "curve": 1, "min_entrants": 3, "dominance_ratio_for_max": 3, "winrate_for_max": 0.85 } }, "created_at": "2019-08-24T14:15:22Z", "commissioner_description": { "round_schedule": "string", "next_round": "string", "round_structure": "string", "leaderboard_rules": "string", "scoring_mechanics": "string", "changelog": [ { "date": "string", "title": "string", "detail": "string", "category": "string" } ] } }, "created_at": "2019-08-24T14:15:22Z" }}